/*
 * EqualToFieldTag.java
 * Created on Apr 7, 2003
 */
package org.apache.ojb.taglib.broker.tags;

import javax.servlet.jsp.JspException;

import org.apache.ojb.broker.query.Criteria;

/**
 * Description
 * 
 * @author <a href="mailto:jacob.hookom@mckesson.com">Jacob Hookom</a>
 * @version ##build.version## - Created: Apr 7, 2003 1:26:39 AM
 */
public final class EqualToFieldTag extends AbstractFieldOperatorTag
{

	/* (non-Javadoc)
	 * @see org.apache.ojb.taglib.broker.support.op.ConditionalSupport#doProcess()
	 */
	protected void doProcess() throws JspException
	{
		Criteria c = this.getCriteria();
		c.addEqualToField(this.property, this.field.toString());
	}

	/* (non-Javadoc)
	 * @see org.apache.ojb.taglib.broker.tags.op.AbstractFieldOperatorTag#init()
	 */
	protected void init()
	{
		super.init();
		this._tagName = "eqf";
	}

}
