/*
 * GreaterThanTag.java
 * Created on Apr 7, 2003
 */
package org.apache.ojb.taglib.broker.tags;

import javax.servlet.jsp.JspException;

import org.apache.ojb.broker.query.Criteria;

/**
 * Description
 * 
 * @author <a href="mailto:jacob.hookom@mckesson.com">Jacob Hookom</a>
 * @version ##build.version## - Created: Apr 7, 2003 12:18:25 AM
 */
public final class GreaterThanTag extends AbstractOperatorTag
{
	/* (non-Javadoc)
	 * @see org.apache.ojb.taglib.broker.tags.op.AbstractOperatorTag#init()
	 */
	protected void init()
	{
		super.init();
		this._tagName = "gt";
	}

	/* (non-Javadoc)
	 * @see org.apache.ojb.taglib.broker.support.op.OperatorSupport#doProcess()
	 */
	protected void doProcess() throws JspException
	{
		Criteria c = this.getCriteria();
		c.addGreaterThan(this.property, this.value);
	}

}
