/*
 * NotBetweenTag.java
 * Created on Apr 7, 2003
 */
package org.apache.ojb.taglib.broker.tags;

import javax.servlet.jsp.JspException;

import org.apache.ojb.broker.query.Criteria;

/**
 * Description
 * 
 * @author <a href="mailto:jacob.hookom@mckesson.com">Jacob Hookom</a>
 * @version ##build.version## - Created: Apr 7, 2003 1:13:32 AM
 */
public final class NotBetweenTag extends BetweenTag
{
	
	/* (non-Javadoc)
	 * @see org.apache.ojb.taglib.broker.support.op.BetweenSupport#doProcess()
	 */
	protected void doProcess() throws JspException
	{
		Criteria c = this.getCriteria();
		c.addNotBetween(this.property, this.start, this.end);
	}

	/* (non-Javadoc)
	 * @see org.apache.ojb.taglib.broker.tags.op.BetweenTag#init()
	 */
	protected void init()
	{
		super.init();
		this._tagName = "notBetween";
	}

}
