/*
 * QueryTag.java
 * Created on Apr 7, 2003
 */
package org.apache.ojb.taglib.broker.tags;

import javax.servlet.jsp.JspException;

/**
 * Used to build a query object that can be stored in a scope
 * 
 * @author <a href="mailto:jacob.hookom@mckesson.com">Jacob Hookom</a>
 * @version ##build.version## - Created: Apr 7, 2003 4:41:48 PM
 */
public final class QueryTag extends AbstractQueryTag
{

	/* (non-Javadoc)
	 * @see org.apache.ojb.taglib.broker.support.core.QuerySupport#doProcess()
	 */
	protected Object doProcess() throws Exception
	{
		return null;
	}

	/* (non-Javadoc)
	 * @see javax.servlet.jsp.tagext.Tag#doEndTag()
	 */
	public int doEndTag() throws JspException
	{
		if (this.var != null)
		{
			this.pageContext.setAttribute(this.var, this.query, this.scope);
		}
		return EVAL_PAGE;
	}

}
