/*
 * BasePost.java
 * Created on Mar 29, 2003
 */
package org.apache.ojb.taglib.test;

import java.util.Date;


/**
 * Description
 * 
 * @author <a href="mailto:##author.email##">##author.name##</a>
 * @version ##build.version## - Created: Mar 29, 2003 2:06:50 AM
 */
public class BasePost extends BaseDto implements Post
{
	protected Thread thread;
	protected Integer threadId;
	protected User owner;
	protected Integer ownerId;
	protected Date created;
	protected String message;
	
	/**
	 * 
	 */
	public BasePost()
	{
		super();
	}

	/**
	 * @return Date
	 */
	public Date getCreated()
	{
		return created;
	}

	/**
	 * @return String
	 */
	public String getMessage()
	{
		return message;
	}

	/**
	 * @return User
	 */
	public User getOwner()
	{
		return owner;
	}

	/**
	 * @return Integer
	 */
	public Integer getOwnerId()
	{
		return ownerId;
	}

	/**
	 * @return Thread
	 */
	public Thread getThread()
	{
		return thread;
	}

	/**
	 * @return Integer
	 */
	public Integer getThreadId()
	{
		return threadId;
	}

	/**
	 * Sets the created.
	 * @param created The created to set
	 */
	public void setCreated(Date created)
	{
		this.created = created;
	}

	/**
	 * Sets the message.
	 * @param message The message to set
	 */
	public void setMessage(String message)
	{
		this.message = message;
	}

	/**
	 * Sets the owner.
	 * @param owner The owner to set
	 */
	public void setOwner(User owner)
	{
		this.owner = owner;
	}

	/**
	 * Sets the ownerId.
	 * @param ownerId The ownerId to set
	 */
	public void setOwnerId(Integer ownerId)
	{
		this.ownerId = ownerId;
	}

	/**
	 * Sets the thread.
	 * @param thread The thread to set
	 */
	public void setThread(Thread thread)
	{
		this.thread = thread;
	}

	/**
	 * Sets the threadId.
	 * @param threadId The threadId to set
	 */
	public void setThreadId(Integer threadId)
	{
		this.threadId = threadId;
	}

}
