/*
 * BaseRole.java
 * Created on Mar 27, 2003
 */
package org.apache.ojb.taglib.test;


/**
 * Description
 * 
 * @author <a href="mailto:##author.email##">##author.name##</a>
 * @version ##build.version## - Created: Mar 27, 2003 7:24:08 PM
 */
public class BaseRole extends BaseDto implements Role
{
	protected Integer userId;
	protected String name;

	/**
	 * 
	 */
	public BaseRole()
	{
		super();
	}

	/**
	 * @return String
	 */
	public String getName()
	{
		return name;
	}

	/**
	 * @return int
	 */
	public Integer getUserId()
	{
		return userId;
	}

	/**
	 * Sets the name.
	 * @param name The name to set
	 */
	public void setName(String name)
	{
		this.name = name;
	}

	/**
	 * Sets the userId.
	 * @param userId The userId to set
	 */
	public void setUserId(Integer userId)
	{
		this.userId = userId;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	public boolean equals(Object arg0)
	{
		if (arg0 instanceof Role)
		{
			Role o = (Role) arg0;
			if (this.userId == o.getUserId()
				&& this.name == o.getName()
				&& this.id == o.getId())
			{
				return true;
			}
		}
		return false;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	public int hashCode()
	{
		int hash = 0;
		if (this.id != null)
			hash ^= this.id.intValue();
		if (this.name != null)
			hash ^= this.name.hashCode();
		if (this.userId != null)
			hash ^= this.userId.intValue();
		return hash;
	}

}
