/*
 * BaseThread.java
 * Created on Mar 28, 2003
 */
package org.apache.ojb.taglib.test;

import java.util.Collection;
import java.util.Date;

/**
 * Description
 * 
 * @author <a href="mailto:##author.email##">##author.name##</a>
 * @version ##build.version## - Created: Mar 28, 2003 6:12:48 PM
 */
public class BaseThread extends BaseDto implements Thread
{
	protected String title;
	protected User owner;
	protected Integer ownerId;
	protected Date created;
	protected Collection posts;
	
	/**
	 * 
	 */
	public BaseThread()
	{
		super();
	}

	/**
	 * @return Date
	 */
	public Date getCreated()
	{
		return created;
	}

	/**
	 * @return User
	 */
	public User getOwner()
	{
		return owner;
	}

	/**
	 * @return Integer
	 */
	public Integer getOwnerId()
	{
		return ownerId;
	}

	/**
	 * @return String
	 */
	public String getTitle()
	{
		return title;
	}

	/**
	 * Sets the created.
	 * @param created The created to set
	 */
	public void setCreated(Date created)
	{
		this.created = created;
	}

	/**
	 * Sets the owner.
	 * @param owner The owner to set
	 */
	public void setOwner(User owner)
	{
		this.owner = owner;
	}

	/**
	 * Sets the ownerId.
	 * @param ownerId The ownerId to set
	 */
	public void setOwnerId(Integer ownerId)
	{
		this.ownerId = ownerId;
	}

	/**
	 * Sets the title.
	 * @param title The title to set
	 */
	public void setTitle(String title)
	{
		this.title = title;
	}

	/**
	 * @return Collection
	 */
	public Collection getPosts()
	{
		return posts;
	}

	/**
	 * Sets the posts.
	 * @param posts The posts to set
	 */
	public void setPosts(Collection posts)
	{
		this.posts = posts;
	}

}
