<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ page contentType="text/html; charset=iso-8859-1" language="java" %>
<%@ taglib prefix="c" uri="/WEB-INF/tlds/c.tld" %>
<%@ taglib prefix="fmt" uri="/WEB-INF/tlds/fmt.tld" %>
<%@ taglib prefix="ojb" uri="/WEB-INF/tlds/ojb.tld" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>OJB Taglib Implementation: Iterator Example</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" href="../css/default.css" type="text/css">
</head>

<body>

<%-- Grab our Collection --%>
<ojb:iterator var="threads" type="org.apache.ojb.taglib.test.Thread">
	<ojb:orderBy property="${param.sort}" />
</ojb:iterator>

<%-- Display Threads --%>
<table width="600" border="1" cellspacing="0" cellpadding="4">
    <tr>
        <td><a href="iterator.jsp?sort=title">title</a></td>
        <td><a href="iterator.jsp?sort=owner.login">owner</a></td>
        <td><a href="iterator.jsp?sort=created">created</a></td>
    </tr>
	<c:forEach var="thread" items="${threads}">
	<tr>
        <td><c:out value="${thread.title}" /></td>
        <td><c:out value="${thread.owner.login}" /></td>
        <td><fmt:formatDate type="both" dateStyle="short" timeStyle="short" value="${thread.created}" /></td>
    </tr>
	</c:forEach>
</table>


</body>
</html>
