/*
 * OrderBySupport.java
 * Created on Apr 7, 2003
 */
package org.apache.ojb.taglib.broker.support;

/**
 * Description
 * 
 * @author <a href="mailto:jacob.hookom@mckesson.com">Jacob Hookom</a>
 * @version ##build.version## - Created: Apr 7, 2003 10:11:41 AM
 */
public abstract class OrderBySupport extends OrganizationalSupport
{
	//	***********************************************************
	// Internal State

	protected boolean sortAsc;

	// ***********************************************************
	// Construction and Initialization

	/**
	 * Creates and initializes the tag.  Because of the nature of
	 * tags, we cannot expect any other constructor to be called
	 * other than the default constructor.
	 */
	public OrderBySupport()
	{
		super();
		this.init();
	}

	/**
	 * Resets the tag's state
	 */
	private void init()
	{
		this.sortAsc = true;
	}

	/**
	 * Re-initializes the tag for pooling support by the web container
	 * @see javax.servlet.jsp.tagext.Tag#release()
	 */
	public void release()
	{
		super.release();
		this.init();
	}
}
