/*
 * CountTag.java
 * Created on Apr 7, 2003
 */
package org.apache.ojb.taglib.broker.tags;

/**
 * Does a broker.getCount() for the given query
 * 
 * @author <a href="mailto:jacob.hookom@mckesson.com">Jacob Hookom</a>
 * @version ##build.version## - Created: Apr 7, 2003 3:26:52 AM
 */
public final class CountTag extends AbstractQueryTag
{
	/* (non-Javadoc)
	 * @see org.apache.ojb.taglib.broker.support.core.QuerySupport#doProcess()
	 */
	protected Object doProcess() throws Exception
	{
		return new Integer(this.broker.getCount(this.query));
	}

	/* (non-Javadoc)
	 * @see org.apache.ojb.taglib.broker.tags.core.AbstractQueryTag#init()
	 */
	protected void init()
	{
		super.init();
		this._tagName = "count";
	}

}
