/*
 * EqualToTag.java
 * Created on Apr 6, 2003
 */
package org.apache.ojb.taglib.broker.tags;

import javax.servlet.jsp.JspException;

import org.apache.ojb.broker.query.Criteria;

/**
 * Appends an Equals to the Criteria
 * 
 * @author <a href="mailto:jacob.hookom@mckesson.com">Jacob Hookom</a>
 * @version ##build.version## - Created: Apr 6, 2003 11:56:28 PM
 */
public final class EqualToTag extends AbstractOperatorTag
{
	/**
	 * Initialize
	 * @see org.apache.ojb.taglib.broker.tags.op.AbstractOperatorTag#init()
	 */
	protected void init()
	{
		super.init();
		this._tagName = "eq";
	}

	/* (non-Javadoc)
	 * @see org.apache.ojb.taglib.broker.support.op.OperatorSupport#doProcess()
	 */
	protected void doProcess() throws JspException
	{
		Criteria c = this.getCriteria();
		c.addEqualTo(this.property, this.value);
	}

}
