/*
 * ObjectTag.java
 * Created on Apr 7, 2003
 */
package org.apache.ojb.taglib.broker.tags;

/**
 * Does a query for a single object
 * 
 * @author <a href="mailto:jacob.hookom@mckesson.com">Jacob Hookom</a>
 * @version ##build.version## - Created: Apr 7, 2003 3:22:06 AM
 */
public final class ObjectTag extends AbstractQueryTag
{

	/* (non-Javadoc)
	 * @see org.apache.ojb.taglib.broker.support.core.QuerySupport#doProcess()
	 */
	protected Object doProcess() throws Exception
	{
		return this.broker.getObjectByQuery(this.query);
	}

	/* (non-Javadoc)
	 * @see org.apache.ojb.taglib.broker.tags.core.AbstractQueryTag#init()
	 */
	protected void init()
	{
		super.init();
		this._tagName = "object";
	}

}
