<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ page contentType="text/html; charset=iso-8859-1" language="java" %>
<%@ taglib prefix="c" uri="/WEB-INF/tlds/c.tld" %>
<%@ taglib prefix="fmt" uri="/WEB-INF/tlds/fmt.tld" %>
<%@ taglib prefix="ojb" uri="/WEB-INF/tlds/ojb.tld" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>OJB Taglib Implementation: Object Example</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" href="../css/default.css" type="text/css">
</head>

<body>

<%-- Grab our User --%>
<ojb:object var="user" type="org.apache.ojb.taglib.test.User">
	<ojb:eq property="login" value="${param.login}" />
</ojb:object>

<%-- Display Threads --%>
<table width="600" border="1" cellspacing="0" cellpadding="4">
    <tr>
		<td width="50"><strong>login:</strong></td>
		<td width="550"><c:out value="${user.login}" /></td>
	</tr>
	<tr>
		<td width="50"><strong>e-mail:</strong></td>
		<td width="550"><c:out value="${user.email}" /></td>
	</tr>
	<tr>
		<td width="50"><strong>password:</strong></td>
		<td width="550"><c:out value="${user.password}" /></td>
	</tr>
	<tr>
		<td width="50"><strong>roles:</strong></td>
		<td width="550"><c:forEach var="role" items="${user.roles}"><c:out value="${role.name} " /></c:forEach></td>
	</tr>
</table>


</body>
</html>
